############################################################## 
## MOD Title: Birthdays by TerraFrost - Chinese Zodiac add-on 
## MOD Author: Porutchik < garnitur356 [at] mail15.com > (Sergey) http://forum.aeroion.ru 
## MOD Description: If the member has specified date of birth, a Chinese zodiac image will be 
##					displayed in the users profile/beside users posts.
## MOD Version: 1.0.2
## 
## Installation Level: Easy 
## Installation Time: ~10 Minutes 
## Files To Edit: (6)
##		viewtopic.php
##		includes/usercp_viewprofile.php
##		language/lang_english/lang_main.php
##		templates/subSilver/subSilver.cfg
##		templates/subSilver/profile_view_body.tpl
##      templates/subSilver/viewtopic_body.tpl
##
## Included Files: 	(13)
##		includes/chinese.php
##		templates/subSilver/images/icon_chinese_rat.gif
##		templates/subSilver/images/icon_chinese_buffalo.gif
##		templates/subSilver/images/icon_chinese_tiger.gif
##		templates/subSilver/images/icon_chinese_cat.gif
##		templates/subSilver/images/icon_chinese_dragon.gif
##		templates/subSilver/images/icon_chinese_snake.gif
##		templates/subSilver/images/icon_chinese_horse.gif
##		templates/subSilver/images/icon_chinese_goat.gif
##		templates/subSilver/images/icon_chinese_monkey.gif
##		templates/subSilver/images/icon_chinese_cock.gif
##		templates/subSilver/images/icon_chinese_dog.gif
##		templates/subSilver/images/icon_chinese_pig.gif
##
## License: http://opensource.org/licenses/gpl-license.php GNU General Public License v2 
############################################################## 
## For security purposes, please check: http://www.phpbb.com/mods/ 
## for the latest version of this MOD. Although MODs are checked 
## before being allowed in the MODs Database there is no guarantee 
## that there are no security problems within the MOD. No support 
## will be given for MODs not found within the MODs Database which 
## can be found at http://www.phpbb.com/mods/ 
############################################################## 
## Author Notes: 
## 
##	Install this one if you have the Birthdays Mod by TerraFrost
##	http://www.phpbb.com/phpBB/viewtopic.php?t=342028
##
##  NOTE: You will have to make this change to ALL themes you have installed. 
##		I use "subSilver" as an example.
##
##  Translations to other languages you can find at 'translations'
##
## 	This mod is based on the "Birthday ADD-ON Chinese zodiac" mod by Niels (http://mods.db9.dk)
############################################################## 
## MOD History: 
##	
##	2007-02-25 	- Version 1.0.2
##				- modify instructions to be Birthdays mod 3.0.0 compliant
##	2006-08-31 	- Version 1.0.1a
##				- modify 1 FIND instructions to be Birthdays mod 2.0.1 compliant
##				- fix small bug 
##	2006-03-13 	- Version 1.0.1
##				- fixed error
##	2006-03-12 	- Version 1.0.0
##				- Initial Release
## 
############################################################## 
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD 
############################################################## 

#
#-----[ COPY ]------------------------------------------
#
copy root/includes/chinese.php to includes/chinese.php
copy root/templates/subSilver/images/icon_chinese_rat.gif to templates/subSilver/images/icon_chinese_rat.gif
copy root/templates/subSilver/images/icon_chinese_buffalo.gif to templates/subSilver/images/icon_chinese_buffalo.gif
copy root/templates/subSilver/images/icon_chinese_tiger.gif to templates/subSilver/images/icon_chinese_tiger.gif
copy root/templates/subSilver/images/icon_chinese_cat.gif to templates/subSilver/images/icon_chinese_cat.gif
copy root/templates/subSilver/images/icon_chinese_dragon.gif to templates/subSilver/images/icon_chinese_dragon.gif
copy root/templates/subSilver/images/icon_chinese_snake.gif to templates/subSilver/images/icon_chinese_snake.gif
copy root/templates/subSilver/images/icon_chinese_horse.gif to templates/subSilver/images/icon_chinese_horse.gif
copy root/templates/subSilver/images/icon_chinese_goat.gif to templates/subSilver/images/icon_chinese_goat.gif
copy root/templates/subSilver/images/icon_chinese_monkey.gif to templates/subSilver/images/icon_chinese_monkey.gif
copy root/templates/subSilver/images/icon_chinese_cock.gif to templates/subSilver/images/icon_chinese_cock.gif
copy root/templates/subSilver/images/icon_chinese_dog.gif to templates/subSilver/images/icon_chinese_dog.gif
copy root/templates/subSilver/images/icon_chinese_pig.gif to templates/subSilver/images/icon_chinese_pig.gif

#
#-----[ OPEN ]------------------------------------------
#
viewtopic.php

#
#-----[ FIND ]------------------------------------------------
#
		$age = ( $bday_year_age ) ? gmdate('Y')-$bday_year_age-$fudge : false;

#
#-----[ AFTER, ADD ]------------------------------------------
#
// Start add - Birthdays by TerraFrost - Chinese Zodiac add-on 
		$chinese = '';
		$u_chinese = '';
		$chinese_img = '';
		if ( $age !== false )
		{
			include_once($phpbb_root_path . 'includes/chinese.'.$phpEx);
			preg_match('/(..)(..)/', sprintf('%08d',$postrow[$i]['user_birthday']), $bday_parts);
			$chinese_date = create_date('Ymd', gmmktime(0,0,0, $bday_parts[1], $bday_parts[2], $bday_year_age), 0);
			$chinese = get_chinese_year($chinese_date);
			$u_chinese = $images[$chinese];
			$chinese_img = ($chinese == 'Unknown') ? '' : '<img src="' . $u_chinese . '" alt="' . $lang[$chinese] . '" title="' . $lang[$chinese] . '" align="top" border="0" />';
		}
// End add - Birthdays by TerraFrost - Chinese Zodiac add-on 

#
#-----[ FIND ]------------------------------------------
#
		$age = false;

#
#-----[ AFTER, ADD ]------------------------------------
#
		$chinese = '';
		$u_chinese = '';
		$chinese_img = '';

#
#-----[ FIND ]------------------------------------------
#
		'POSTER_NAME' => $poster,

#
#-----[ AFTER, ADD ]------------------------------------------
#
		'CHINESE' => $lang[$chinese],
		'CHINESE_IMG' => $chinese_img,
		'U_CHINESE' => $u_chinese,
		'L_CHINESE' => ($chinese) ? $lang['Chinese_zodiac'] . ': ' : '',

#
#-----[ OPEN ]------------------------------------------
#
includes/usercp_viewprofile.php

#
#-----[ FIND ]------------------------------------------
# NOTE: this is a partial match
#
	$birthday = create_date($birthday_format,

#
#-----[ AFTER, ADD ]------------------------------------------
#
	if ( $bday_year != 0 )
	{
		include($phpbb_root_path . 'includes/chinese.'.$phpEx);
		$chinese_date = create_date('Ymd', gmmktime(0,0,0, $bday_month, $bday_day, $bday_year), 0);
		$chinese = get_chinese_year( $chinese_date );
		$u_chinese = $images[$chinese];
		$chinese_img = ($chinese == 'Unknown') ? '' : '<img src="' . $u_chinese . '" alt="' . $lang[$chinese] . '" title="' . $lang[$chinese] . '" align="top" border="0" />';
		$template->assign_block_vars('switch_user_chinese', array());
	}

#
#-----[ FIND ]------------------------------------------
#
	'BIRTHDAY' => $birthday,

#
#-----[ AFTER, ADD ]------------------------------------------
#
	'CHINESE' => $lang[$chinese],
	'CHINESE_IMG' => $chinese_img,
	'U_CHINESE' => $u_chinese,
	'L_CHINESE' => $lang['Chinese_zodiac'],

#
#-----[ OPEN ]------------------------------------------
#
language/lang_english/lang_main.php

#
#-----[ FIND ]------------------------------------------
# this is a partial match
#
$lang['View_Birthdays'] = 

#
#-----[ AFTER, ADD ]------------------------------------------
#
// Start add - Birthdays by TerraFrost - Chinese Zodiac add-on 
$lang['Chinese_zodiac']= 'Chinese zodiac';
$lang['Unknown'] = 'Unknown';
$lang['Rat'] = 'Rat';
$lang['Buffalo'] = 'Buffalo';
$lang['Tiger'] = 'Tiger';
$lang['Cat'] = 'Cat';
$lang['Dragon'] = 'Dragon';
$lang['Snake'] = 'Snake';
$lang['Horse'] = 'Horse';
$lang['Goat'] = 'Goat';
$lang['Monkey'] = 'Monkey';
$lang['Cock'] = 'Cock';
$lang['Dog'] = 'Dog';
$lang['Pig'] = 'Pig';
// End add - Birthdays by TerraFrost - Chinese Zodiac add-on 

#
#-----[ OPEN ]------------------------------------------
#
templates/subSilver/subSilver.cfg

#
#-----[ FIND ]------------------------------------------
#
?>

#
#-----[ BEFORE, ADD ]------------------------------------------
#
// Start add - Birthdays by TerraFrost - Chinese Zodiac add-on 
$images['Rat'] = "$current_template_images/icon_chinese_rat.gif";
$images['Buffalo'] = "$current_template_images/icon_chinese_buffalo.gif";
$images['Tiger'] = "$current_template_images/icon_chinese_tiger.gif";
$images['Cat'] = "$current_template_images/icon_chinese_cat.gif";
$images['Dragon'] = "$current_template_images/icon_chinese_dragon.gif";
$images['Snake'] = "$current_template_images/icon_chinese_snake.gif";
$images['Horse'] = "$current_template_images/icon_chinese_horse.gif";
$images['Goat'] = "$current_template_images/icon_chinese_goat.gif";
$images['Monkey'] = "$current_template_images/icon_chinese_monkey.gif";
$images['Cock'] = "$current_template_images/icon_chinese_cock.gif";
$images['Dog'] = "$current_template_images/icon_chinese_dog.gif";
$images['Pig'] = "$current_template_images/icon_chinese_pig.gif";
// End add - Birthdays by TerraFrost - Chinese Zodiac add-on 

#
#-----[ OPEN ]------------------------------------------
#
templates/subSilver/profile_view_body.tpl

#
#-----[ FIND ]------------------------------------------
#
		  <td> <b><span class="gen">{BIRTHDAY}</span></b></td>
		</tr>

#
#-----[ AFTER, ADD ]------------------------------------------
#
		<!-- BEGIN switch_user_chinese -->
		<tr>
		  <td valign="middle" align="right" nowrap="nowrap"><span class="gen">{L_CHINESE}:&nbsp;</span></td>
		  <td> <b><span class="gen">{CHINESE}&nbsp;{CHINESE_IMG}</span></b></td>
		</tr>
		<!-- END switch_user_chinese -->

#
#-----[ OPEN ]------------------------------------------
#
templates/subSilver/viewtopic_body.tpl

#
#-----[ FIND ]------------------------------------------
# NOTE: this is a partial match
#
{postrow.POSTER_AVATAR}<br /><br />

#
#-----[ IN-LINE FIND ]------------------------------------------
#
{postrow.POSTER_AVATAR}<br /><br />

#
#-----[ IN-LINE AFTER, ADD ]------------------------------------------
#
{postrow.L_CHINESE}{postrow.CHINESE_IMG}<br />

# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM